Bug 720456 - inventory>child resources has bad import button menu
Summary: inventory>child resources has bad import button menu
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: jon3 rhq41beta
TreeView+ depends on / blocked
 
Reported: 2011-07-11 16:54 UTC by John Mazzitelli
Modified: 2013-08-06 00:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:26:20 UTC


Attachments (Terms of Use)
bad-menu.png (55.93 KB, image/png)
2011-07-11 16:54 UTC, John Mazzitelli
no flags Details
good-menu.png (62.09 KB, image/png)
2011-07-11 16:54 UTC, John Mazzitelli
no flags Details
Screenshot_Import-Menu (179.06 KB, image/png)
2011-08-02 09:45 UTC, Sunil Kondkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 751097 None None None Never

Internal Links: 751097

Description John Mazzitelli 2011-07-11 16:54:29 UTC
Created attachment 512262 [details]
bad-menu.png

Go to a platform's inventory>child resources page. Click the "Import" button and see only a few options (perhaps 4).

Now right mouse click over the platform node in the left hand tree. Look at the Import menu and see you have the full set of items (all the valid child types).

For some reason, the subtab's import button isn't fully populated with all possible child types.

see attached images.

Comment 1 John Mazzitelli 2011-07-11 16:54:51 UTC
Created attachment 512263 [details]
good-menu.png

Comment 2 Ian Springer 2011-08-01 18:14:18 UTC
Fixed - [master d47438f]. I added some extra code to ResourceTypeRepository to make sure a platform type's child types includes top-level servers and services that were specified in the plugin descriptor using runs-inside.

Comment 3 Sunil Kondkar 2011-08-02 09:44:38 UTC
Verified on build#236 (Version: 4.1.0-SNAPSHOT Build Number: e4fa39a)

The import button is populated with child types. Please refer the attached screenshot.

Marking as verified.

Comment 4 Sunil Kondkar 2011-08-02 09:45:24 UTC
Created attachment 516289 [details]
Screenshot_Import-Menu

Comment 5 Mike Foley 2012-02-07 19:26:20 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.